%define name pavucontrol
%define version 3.0

Summary: Volume control for Pulseaudio sound server for Linux
Name: %{name}
Version: %{version}
Release: %mkrel 2
Source0: %{name}-%{version}.tar.xz
Source1: %{name}-16.png
Source2: %{name}-32.png
Patch0:  unavail.patch
License: GPLv2+
Group: Sound
Url: http://freedesktop.org/software/pulseaudio/pavucontrol/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtkmm3.0-devel
BuildRequires: %{_lib}glademm2.4-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: lynx
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: %{_lib}canberra-devel
BuildRequires: libcanberra-gtk-devel
Requires: pulseaudio
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Provides: pulseaudio-volume-control
Requires:%{_lib}gtk+3_0
Requires: gtk+3.0

%description
Pulseaudio Volume Control (pavucontrol) is a simple 
GTK based volume control tool for the Pulseaudio sound 
server. In contrast to classic mixer tools this one allows 
you to control both the volume of hardware devices and of 
each playback stream separately.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

sed -i "s/^Icon=.*/Icon=%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icons
install -D -m 0644 %SOURCE1 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 %SOURCE2 %{buildroot}%{_iconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/%name/%name.glade
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png


%changelog
* Fri Sep 15 2017 bb2 <bb2> - 3.0-2pclos2017
- rebuild new gcc

* Sat May 16 2015 ghostbunny <ghostbunny at gmx dot de> 3.0-1pclos2015
- 3.0
- add missing BR libcanberra-gtk-devel

* Tue May 21 2013 Ken <lxgator at gmail.com> 2.0-1pclos2013
- 2.0
- fix specfile for 32/64 bit (texstar)

* Thu Oct 27 2011 Texstar <texstar at gmail.com> 1.0-1pclos2011
- for 64 bit
